Skip to main content
GET
/
agents
/
{agent_id}
/
reclassifications
List reclassification history
curl --request GET \
  --url https://api.mnemom.ai/v1/agents/{agent_id}/reclassifications
[
  {
    "reclassification_id": "<string>",
    "checkpoint_id": "<string>",
    "agent_id": "<string>",
    "original_type": "<string>",
    "new_type": "<string>",
    "reason": "<string>",
    "score_impact": {
      "previous_score": 123,
      "new_score": 123,
      "delta": 123
    }
  }
]

Path Parameters

agent_id
string
required

Agent identifier (e.g. smolt-abc123)

Query Parameters

limit
integer
default:20

Maximum number of records to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of records to skip for pagination

Required range: x >= 0

Response

Reclassification history — a bare array of reclassification records, newest first.

reclassification_id
string

Unique identifier for this reclassification

checkpoint_id
string

Identifier of the reclassified checkpoint

agent_id
string

Agent whose checkpoint was reclassified

original_type
string

Original violation type before reclassification

new_type
string

New violation type after reclassification

reason
string

Justification provided for the reclassification

score_impact
object

Impact of the reclassification on the agent's score